<?
    $path = realpath(getcwd().'/../apps/views/application-helpers');
    if ($handle=opendir($path)) {
    while (false !== ($entry = readdir($handle))) {
        if( !preg_match('/^\./',$entry) )
            $phtml[] = $entry;
    }
    }

    if( isset($pthml) && count($pthml) > 0 ):
        // 隨機取出檔案項目
        $i=rand(0,count($phtml)-1);
        $handle = @fopen($path.DIRECTORY_SEPARATOR.$phtml[$i], "r");
        $firstline = preg_replace('/\<\!\-\-\{(.+)\}\-\-\>/','$1',fgets($handle, 4096));
?>
<div class="panel panel-default sidebar-tips">
    <div class="panel-heading">
        <h5><i class="fa fa-lightbulb-o"></i><?=$firstline;?></h5>
    </div>
    <div class="panel-body">
    <?=$this->partial('application-helpers/'. str_replace('.phtml','',$phtml[$i]));?>
    </div>
</div>
<?php endif; ?>